﻿using System;
using CoreGraphics;
using Foundation;
using Syncfusion.SfCalendar.iOS;
using UIKit;

namespace CalendariOSTesting
{
    public partial class ViewController : UIViewController
    {
        protected ViewController(IntPtr handle) : base(handle)
        {
            // Note: this .ctor should not contain any initialization logic.
        }

        public override void ViewDidLoad()
        {
            SFCalendar cal = new SFCalendar();
            base.ViewDidLoad();
            cal.Delegate = new calendardelegate(this);
            View.AddSubview(cal);
            // Perform any additional setup after loading the view, typically from a nib.
        }

        public override void DidReceiveMemoryWarning()
        {
            base.DidReceiveMemoryWarning();
            // Release any cached data, images, etc that aren't in use.
        }
        public class calendardelegate : SFCalendarDelegate
        {
            UIViewController alert;
            public calendardelegate(UIViewController view)
            {
                alert = view;
            }

            public override void DidMonthChange(SFCalendar calendar, NSDate navigatedMonth, NSDate previuousMonth)
            {
                var okAlertController = UIAlertController.Create("OK Alert", "Monthchanged Event fired", UIAlertControllerStyle.Alert);

                //Add Action
                okAlertController.AddAction(UIAlertAction.Create("Ok", UIAlertActionStyle.Default, null));
                alert.PresentViewController(okAlertController, true, null);
                // Present Alert
            }
            public override void DidSelectionChange(SFCalendar calendar, NSMutableArray dateRemoved, NSMutableArray dateAdded)
            {
                var okAlertController = UIAlertController.Create("Alert", "Selection changed event fired", UIAlertControllerStyle.Alert);

                //Add Action
                okAlertController.AddAction(UIAlertAction.Create("Ok", UIAlertActionStyle.Default, null));
                alert.PresentViewController(okAlertController, true, null);
            }
        
        }
    }
}
